TARGET = $$qtLibraryTarget(toptemplateclassplugin)

CONFIG += plugin

QT += core  sql widgets script network xml scripttools printsupport

TEMPLATE = lib

LIB_LIST = tsec tbaseutil tdatabaseutil twidget topcore toputil tchart texcelxs
win32 {
    LIB_LIST += tole
}
SOURCES += \
    toptemplateclass0.cpp \
    toptemplateclass1.cpp \
    toptemplateclass0a.cpp \
    toptemplateclass2.cpp \
    toptemplateclass5.cpp \
    toptemplateclass1a.cpp \
    toptemplateclass3.cpp \
    toptemplateclass4.cpp \
    toptemplateclass6.cpp \
    toptemplateclass7.cpp \
    toptemplateclass8.cpp

HEADERS += \
    toptemplateclass0.h \
    toptemplateclass1.h \
    toptemplateclass0a.h \
    toptemplateclass2.h \
    toptemplateclass5.h \
    toptemplateclass1a.h \
    toptemplateclass3.h \
    toptemplateclass4.h \
    toptemplateclass6.h \
    toptemplateclass7.h \
    toptemplateclass8.h

win32 {
    LIBS += -ldbghelp
}

DIST_DIR = $$PWD/../../dist
include(../shared/shared.pri)

INCLUDEPATH += ../lib

LIBS += -L$$DESTDIR
win32 {
    LIBS += -L$${DESTDIR}/plugins
}
win32{
    DESTDIR = $${DESTDIR}/plugins
}

HEADERS += \
    toptemplateclassplugin.h

SOURCES += \
    toptemplateclassplugin.cpp

# i18n
TRANSLATIONS += toptemplateclass_en.ts toptemplateclass_zhcn.ts toptemplateclass_zhtw.ts

QM_LIST = $$PWD/*.qm
DEST_LANGUAGE_PATH = $$system_path($${TOPIKM_SDKPATH}/language)
!exists($${DEST_LANGUAGE_PATH}) {
    mkpath($${DEST_LANGUAGE_PATH})
}
for(qm, QM_LIST) {
    win32 {
        system(copy $$system_path($${qm}) $${DEST_LANGUAGE_PATH})
    } else {
        system(cp $$system_path($${qm}) $${DEST_LANGUAGE_PATH})
    }
}

#版本信息
CONFIG += skip_target_version_ext
VERSION = 1.2.41.0
QMAKE_TARGET_PRODUCT = toptemplateclass
QMAKE_TARGET_COMPANY = TopLinker Co.,Ltd.
QMAKE_TARGET_COPYRIGHT = Copyright(C) 2021 TopLinker
