﻿#include "toptemplateclassplugin.h"
#include "toptemplateclass0.h"
#include "toptemplateclass0a.h"
#include "toptemplateclass1.h"
#include "toptemplateclass1a.h"
#include "toptemplateclass2.h"
#include "toptemplateclass3.h"
#include "toptemplateclass4.h"
#include "toptemplateclass5.h"
#include "toptemplateclass6.h"
#include "toptemplateclass7.h"
#include "toptemplateclass8.h"

QStringList TemplatePlugin::getClassList()
{
    QStringList classes{
        "TopTemplateClass0",
        "TopTemplateClass0A",
        "TopTemplateClass1",
        "TopTemplateClass1A",
        "TopTemplateClass2",
        "TopTemplateClass3",
        "TopTemplateClass4",
        "TopTemplateClass5",
        "TopTemplateClass6",
        "TopTemplateClass7",
        "TopTemplateClass8"
    };
    return classes;
}

TopClassAbs *TemplatePlugin::newClass(const QString &iClassName,
                                      const QString &iModuleName,
                                      const QVariantMap &iUrlPars)
{
    if (iClassName == QStringLiteral("TopTemplateClass0")) {
        return new TopTemplateClass0(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass0A")) {
        return new TopTemplateClass0A(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass1")) {
        return new TopTemplateClass1(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass1A")) {
        return new TopTemplateClass1A(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass2")) {
        return new TopTemplateClass2(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass3")) {
        return new TopTemplateClass3(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass4")) {
        return new TopTemplateClass4(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass5")) {
        return new TopTemplateClass5(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass6")) {
        return new TopTemplateClass6(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass7")) {
        return new TopTemplateClass7(iModuleName, iUrlPars, nullptr);
    } else if (iClassName == QStringLiteral("TopTemplateClass8")) {
        return new TopTemplateClass8(iModuleName, iUrlPars, nullptr);
    } else {
        return nullptr;
    }
}
